﻿Public Class tutorialButton
    Inherits Button

    Private _messageString As messageIdentifier
    Public Property MessageString As messageIdentifier
        Get
            Return _messageString
        End Get
        Set(value As messageIdentifier)
            _messageString = value
        End Set
    End Property

    Enum messageIdentifier As Integer
        Greetings = 1
        Goodbyes = 2
        Warning = 3
        Declaration = 4
    End Enum

    Public Sub buttonClick() Handles Me.Click
        MsgBox(GetMessageString())
    End Sub

    Private Function GetMessageString() As String
        If (_messageString = messageIdentifier.Declaration) Then
            Return "Of Independence"
        ElseIf (_messageString = messageIdentifier.Goodbyes) Then
            Return "It has been a fun time, but I must leave you."
        ElseIf (_messageString = messageIdentifier.Greetings) Then
            Return "Salutations, my good man/woman"
        ElseIf (_messageString = messageIdentifier.Warning) Then
            Return "Back off! You have no business in this area."
        Else
            Return ""
        End If
    End Function

  

End Class

